### Type parameters

### Hierarchy

- QueryResultSource

## Index

### Properties

- features
- id
- identifierAttributeField
- label
- limit
- mergeComposants
- pending
- requestPartners
- tooManyResults
- totalFeatureCount

## Properties

### features

features: Feature<Geometry>[]

- Defined in src/statemanager/WfsPermalink.js:35

The matching features for this source.

### id

id: string | number

- Defined in src/statemanager/WfsPermalink.js:36

Identifier (can be not unique).

### identifierAttributeField

identifierAttributeField: string

- Defined in src/statemanager/WfsPermalink.js:45

The field to use to identify the feature.

### label

label: string

- Defined in src/statemanager/WfsPermalink.js:37

Label.

### limit

limit: number

- Defined in src/statemanager/WfsPermalink.js:38

The maximum number of features that can be returned for a query with this source.

### mergeComposants

mergeComposants: string[]

- Defined in src/statemanager/WfsPermalink.js:46

The original datasources merged in merged result.

### pending

pending: boolean

- Defined in src/statemanager/WfsPermalink.js:40

Is the request for this source still ongoing?

### requestPartners

requestPartners: string[]

- Defined in src/statemanager/WfsPermalink.js:47

The datasources of the request (which are summed in totalFeatureCount).

### tooManyResults

tooManyResults: boolean

- Defined in src/statemanager/WfsPermalink.js:41

If the last query for this source would return more features than the configured limit.

### totalFeatureCount

totalFeatureCount: number

- Defined in src/statemanager/WfsPermalink.js:43

If `tooManyResults` is `true`, this contains the total number of features.

Generated using TypeDoc